TKN-TASK-CREATE(1)

NAME

tkn-task-create - Create a Task from ClusterTask

SYNOPSIS

tkn task create

DESCRIPTION

Create a Task from ClusterTask

OPTIONS

--from=""
    Create a ClusterTask from Task in a particular namespace

-h, --help[=false]
    help for create

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --context=""
    name of the kubeconfig context to use (default: kubectl config current-context)

-k, --kubeconfig=""
    kubectl config file (default: $HOME/.kube/config)

-n, --namespace=""
    namespace to use (default: from $KUBECONFIG)

-C, --no-color[=false]
    disable coloring (default: false)

EXAMPLE

Create a Task from ClusterTask 'foo' in namespace 'ns':
    tkn task create --from foo or
    tkn task create foobar --from=foo -n ns

SEE ALSO

tkn-task(1)